<%@ page language="java"%>
<%@ page import="java.io.*"%>
<%@ page import="gov.vha.edb.rules.web.builder.PrettyPrinter"%>

<html>
<body>

<%
String path = request.getParameter("path");
%>
<h2><%=path%></h2><hr>
<p>

<code>
<%
BufferedReader d = null;
FileReader fr = null;
try {
	fr = new FileReader(path);
	d = new BufferedReader(fr);
	PrettyPrinter.prettyPrint(d, out, request.getParameter("type"));
} finally {
	if (fr != null) {
		fr.close();
	}
}
%>
</code>

<p>
<hr>
<a href="<%=request.getContextPath()%>/exit.jsp">[Back to Home Page]</a>
</body>
</html>
